 <?php
date_default_timezone_set('America/Lima');
session_start();

$y=date('Y');
$m=date('m');
$d=date('d');

$fec1="$d-$m-$y";
$fec2="$d-$m-$y";


require_once("../formatos/formato.php");

?>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
		        <div class="card-header">
    		<div class="row">
			
			
				<form name="for_fil_pro" id="for_fil_pro" method="POST" >							
				
					<div class="row">
					<div class=" col-lg-3 col-xs-12 form-group">
							<label>Desde:</label>
							<div class="input-group">
								<div class="input-group-prepend">
								<span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
							<input name="txt_com_fec1" type="text" id="txt_com_fec1" value="<?php echo $fec1?>" class="form-control" >
							</div>
						</div>
						
						<div class=" col-lg-3 col-xs-12 form-group">
							<label>Hasta:</label>
							<div class="input-group">
								<div class="input-group-prepend">
								<span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
							<input name="txt_com_fec2" type="text" id="txt_com_fec2" value="<?php echo $fec2?>" class="form-control" >
							</div>
						</div>
						
				<div style="display: inline-block; white-space: nowrap;padding-top:30px;" id="div_btn"  class="col-lg-4 col-sm-3 col-xs-6">		
								<span style="cursor:pointer" onClick="compraconsolidadasfecha_cst_tabla()" id="btn_filtrar" class="btn btn-primary"><i class="fas fa-search"></i></span>
								<span style="cursor:pointer" onClick="compraconsolidadasfecha_cst_filtro()" id="btn_resfil"  class="btn btn-default ">Restablecer</span>			
				</div>
				
				<div class="col-lg-6 col-xs-12" >			
				
				<table>
								
				<!--
				<tr id="tr_ordcom">				
				<td nowrap colspan="2" >
				<div class="col-lg-12 col-xs-12">
				<label class="" >ORDENAR </label>
				</div>
				</td>
				</tr>
				
				
				<tr id="tr_ordcom">				
				<td nowrap >
				<div class="col-lg-12 col-xs-12">
				<label class="text-blue" >
					<input name="chk_ordfec" id="chk_ordfec" checked type="checkbox"> POR FECHA
				</label>
				</div>
				</td>
				
				<td nowrap >
				<div class="col-lg-12 col-xs-12">
				<label class="text-blue" >
					<input name="chk_ordemp" id="chk_ordemp" type="checkbox"> POR EMPRESA
				</label>
				</div>
				</td>
				
				<td nowrap >
				<div class="col-lg-12 col-xs-12">
				<label class="text-blue" >
					<input name="chk_ordpro" id="chk_ordpro" type="checkbox"> POR PROVEEDOR
				</label>
				</div>
				</td>
				</tr>
				-->
				
				<tr id="tr_ordcom">				
				<td nowrap colspan="2" >
				<div class="col-lg-12 col-xs-12">
				<label class="" >AGRUPAR </label>
				</div>
				</td>
				</tr>
				
				<tr id="tr_ordcom">				
				<td nowrap >	
				<div class="icheck-primary" >
							<input type="checkbox" id="chk_agrufec" >
							<label for="chk_agrufec">POR FECHA </label>
				</div>
				</td>
								
				<td nowrap >
				<div class="icheck-primary" >
							<input type="checkbox" id="chk_agruemp" >
							<label for="chk_agruemp">POR EMPRESA </label>
				</div>
				</td>
				
				<td nowrap >
				<div class="icheck-primary" >
							<input type="checkbox" id="chk_agrupro" >
							<label for="chk_agrupro">POR PROVEEDOR </label>
				</div>
				
				</td>
				</tr>
				
				</table>
				
			</div>	

				
 				
			</div> 				
							
							
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
</section>

<script type="text/javascript">

var ordfec='c.tb_compra_fec';
var ordemp='';
var ordpro='';

var agrufec='1';
var agruemp='';
var agrupro='';



function compraconsolidadasfecha_cst_tabla()
{
			$('#div_mensaje_dialog').modal('show');
			$.ajax({
				type: "POST",
				url: "../compraconsolidadasfecha_cst/compraconsolidadasfecha_cst_tabla.php",
				async:true,
				dataType: "html",                      
				data: ({
					ordfec :ordfec,
					ordemp :ordemp,
					ordpro :ordpro,
					fec1 :$("#txt_com_fec1").val(),
					fec2 :$("#txt_com_fec2").val(),
					agrufec :agrufec,
					agruemp :agruemp,
					agrupro :agrupro
				}), 
				beforeSend: function() {
					var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					$('.div_mensaje').html(divmen);
					$('#div_compra_tabla').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_compra_tabla').html(html);
				},
				complete: function(){			
					$('#div_compra_tabla').removeClass("ui-state-disabled");
					$('#div_mensaje_dialog').modal('hide');
				}
			});     
}
  
		$('#txt_let_fec1,#txt_let_fec2,#txt_com_fec1,#txt_com_fec2').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			//compra_tabla();
		}); 

		
$('#chk_ordfec').on('ifChecked', function(event){
	ordfec='c.tb_compra_fec';
});

$('#chk_ordfec').on('ifUnchecked', function(event){
	ordfec='';
});


$('#chk_ordemp').on('ifChecked', function(event){
	ordemp='c.tb_empresa_id';
});

$('#chk_ordemp').on('ifUnchecked', function(event){
	ordemp='';
});

$('#chk_ordpro').on('ifChecked', function(event){
	ordpro='c.tb_proveedor_id';
});

$('#chk_ordpro').on('ifUnchecked', function(event){
	ordpro='';
});



$('#chk_agrufec').change(function(){
	if($('#chk_agrufec').is(':checked'))
	{
		$('#chk_agruemp').iCheck('uncheck');
		$('#chk_agrupro').iCheck('uncheck');
		agrufec='1';
		agruemp = '';
		agrupro='';
	}else{
		agrufec='';
	}
});



$('#chk_agruemp').change(function(){
	if($('#chk_agruemp').is(':checked'))
	{
		$('#chk_agrufec').iCheck('uncheck');
		$('#chk_agrupro').iCheck('uncheck');
		agrufec='';
		agruemp = '1';
		agrupro='';
	}else{
		agrufec='';
	}
});



$('#chk_agrupro').change(function(){
	if($('#chk_agrupro').is(':checked'))
	{
		$('#chk_agruemp').iCheck('uncheck');
		$('#chk_agrufec').iCheck('uncheck');
		agrufec='';
		agruemp = '';
		agrupro='1';
	}else{
		agrufec='';
	}
});






</script>   